def defaultHome
if (manager.envVars['JENKINS_URL'].contains("qa")) {
    defaultHome = "/root/TridentLib/src"
} else {
    defaultHome = "/home/jenkins-dev/TridentLib/src"
}
def groovyHome = manager.envVars['DEBUGTRIDENTGROOVY'] ?: defaultHome
def interfaceDir = "${groovyHome}/interfaces"
def appDir = "${groovyHome}/apps/JobDeployment"


def groovyHomes = ['TRIDENTLIBHOME', 'TRIGROOVYHOME', 'TRI_GROOVY_HOME']

groovyHomes.each { k ->
    if (manager.envVars['DEBUGTRIDENTGROOVY'] || !manager.envVars[k]) {
        manager.envVars[k] = groovyHome

    }
}
try {
    def obj = evaluate(new File("${interfaceDir}/PostGroovyWrapper.groovy"))
    obj.runMethod("${appDir}/JobDeploymentMain.groovy", manager, groovyHome)
} catch (e) {
    manager.listener.logger("Error HERE " + e.toString())
}
